edu.wpi.first.wpilibj.hal

## Class CompressorJNI

- java.lang.Object
- - edu.wpi.first.wpilibj.hal.JNIWrapper
  - - edu.wpi.first.wpilibj.hal.CompressorJNI

-     public class CompressorJNI
      extends JNIWrapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompressorJNI()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `checkCompressorModule(byte module)`
    `static void` | `clearAllPCMStickyFaults(byte compressorModule)`
    `static boolean` | `getCompressor(int compressorHandle)`
    `static boolean` | `getCompressorClosedLoopControl(int compressorHandle)`
    `static double` | `getCompressorCurrent(int compressorHandle)`
    `static boolean` | `getCompressorCurrentTooHighFault(int compressorHandle)`
    `static boolean` | `getCompressorCurrentTooHighStickyFault(int compressorHandle)`
    `static boolean` | `getCompressorNotConnectedFault(int compressorHandle)`
    `static boolean` | `getCompressorNotConnectedStickyFault(int compressorHandle)`
    `static boolean` | `getCompressorPressureSwitch(int compressorHandle)`
    `static boolean` | `getCompressorShortedFault(int compressorHandle)`
    `static boolean` | `getCompressorShortedStickyFault(int compressorHandle)`
    `static int` | `initializeCompressor(byte module)`
    `static void` | `setCompressorClosedLoopControl(int compressorHandle, boolean value)`

    - ### Methods inherited from class edu.wpi.first.wpilibj.hal.JNIWrapper

      `getPort, getPortWithModule`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompressorJNI

          public CompressorJNI()

  - ### Method Detail

    - #### initializeCompressor

          public static int initializeCompressor(byte module)

    - #### checkCompressorModule

          public static boolean checkCompressorModule(byte module)

    - #### getCompressor

          public static boolean getCompressor(int compressorHandle)

    - #### setCompressorClosedLoopControl

          public static void setCompressorClosedLoopControl(int compressorHandle,
                                                            boolean value)

    - #### getCompressorClosedLoopControl

          public static boolean getCompressorClosedLoopControl(int compressorHandle)

    - #### getCompressorPressureSwitch

          public static boolean getCompressorPressureSwitch(int compressorHandle)

    - #### getCompressorCurrent

          public static double getCompressorCurrent(int compressorHandle)

    - #### getCompressorCurrentTooHighFault

          public static boolean getCompressorCurrentTooHighFault(int compressorHandle)

    - #### getCompressorCurrentTooHighStickyFault

          public static boolean getCompressorCurrentTooHighStickyFault(int compressorHandle)

    - #### getCompressorShortedStickyFault

          public static boolean getCompressorShortedStickyFault(int compressorHandle)

    - #### getCompressorShortedFault

          public static boolean getCompressorShortedFault(int compressorHandle)

    - #### getCompressorNotConnectedStickyFault

          public static boolean getCompressorNotConnectedStickyFault(int compressorHandle)

    - #### getCompressorNotConnectedFault

          public static boolean getCompressorNotConnectedFault(int compressorHandle)

    - #### clearAllPCMStickyFaults

          public static void clearAllPCMStickyFaults(byte compressorModule)